;------------------------------------------------------------------------------
;
; C128 Bank1 memory routines.
;
; Written for cc65 by Joseph Rose.  If you find these routines useful, e-mail
; me.
;
; This module writes a byte, word or dword to Bank 1.  These are
; functions whose first parameter is the destination in Bank 1 and second
; parameter is the data to write.  Unlike the read functions, these are not
; __fastcall.
;
;------------------------------------------------------------------------------

.importzp	sp,	ptr1,	tmp1
.import		incsp3, incsp4 

.importzp	bank_writeaddr
.import		bank_write

.export		_bank1_writebyte, _bank1_writeword
.export		bank1_writebytedirect, bank1_writeworddirect

.import		popa, popax
.segment	"LOWCODE"

_bank1_writebyte:
	;jsr	popa
	pha
	jsr	popax
	sta	ptr1
	stx	ptr1+1
	pla
	ldy	#0
	jmp	bank1_writebytedirect

_bank1_writeword:
	;jsr	popax
	pha
	stx	tmp1
	jsr	popax
	sta	ptr1
	stx	ptr1+1
	pla
	ldx	tmp1
	ldy	#0
	jmp	bank1_writeworddirect
	


.segment	"MEMBANK"

bank1_writebytedirect:
	;sta	$FF02
	sei
	pha
	lda	#$32
	sta	$FD16
	pla
	sta	(ptr1),y
	lda	#$33
	sta	$FD16
	cli
	rts

bank1_writeworddirect:
	pha
	sei
	lda	#$32
	sta	$FD16
	pla
	;sta	$FF02
	sta	(ptr1),y
	iny
	txa
	sta	(ptr1),y
	lda	#$33
	sta	$FD16
	cli
	rts
